#include <rtthread.h>
#include <rtdevice.h>
#include <board.h>
#include <string.h>

#include "log.h"

#include "bf0_mbox_common.h"

#include "btn_mgr.h"
#include "battery_manager.h"

#include "bt_mgr.h"

int main(void)
{
    lcpu_power_on();

    bt_mgr_init();
    // battery_mgr_init();

    // button_mgr_init();

    while (1) {
        //rt_kprintf("hcpu tick: %d\n", rt_tick_get());
        rt_thread_mdelay(1000);
    }

    return 0;
}


